## insighttoolkit 3.20.1

=== debian/changelog ===
insighttoolkit (3.20.1-3) unstable; urgency=low

  * control.in: libinsighttoolkit3-dev depends on libvxl1-dev.  Resolves
    part of igstk build failure (#655788) caused by moving to system VXL
    in last upload.

 -- Steve M. Robbins <smr@debian.org>  Sun, 22 Jan 2012 00:32:22 -0600

insighttoolkit (3.20.1-2) unstable; urgency=low

  [ Mathieu Malaterre ]

  * rules: Use system installed VXL
  * control.in: Add myself as uploader.  

  [ Steve M. Robbins ]
  
  * control.in: -dev package depends on libgdcm2-dev.  Closes: #587589

 -- Steve M. Robbins <smr@debian.org>  Sat, 21 Jan 2012 12:23:58 -0600

insighttoolkit (3.20.1-1) unstable; urgency=low

  * New upstream.
    - patches/metaio-test-vtk_source.patch:
    - patches/ptrdiff.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Thu, 27 Oct 2011 22:24:59 -0500

insighttoolkit (3.20.0-17) unstable; urgency=low

  * rules: Make example files permission fix conditional on installing
    $(pkg_examples).

 -- Steve M. Robbins <smr@debian.org>  Sat, 17 Sep 2011 22:21:18 -0500

insighttoolkit (3.20.0-16) unstable; urgency=low

  * Remove language wrappings.  New source packages, one per wrapped
    language will be introduced to build the wrappings.  
  * Build in Release mode for full -O3 optimization.  
  * Build in parallel.
  * Use debhelper instead of cdbs.

 -- Steve M. Robbins <smr@debian.org>  Sat, 17 Sep 2011 12:31:22 -0500

insighttoolkit (3.20.0-15) unstable; urgency=low

  * control.in: Restore build-dependency on libtiff4-dev (fails to
  build with libtiff5).

 -- Steve M. Robbins <smr@debian.org>  Sun, 11 Sep 2011 18:02:04 -0500

insighttoolkit (3.20.0-14) experimental; urgency=low

  * control.in:
  * rules: Follow upstream to install python wrapping into
    /usr/lib/InsightToolkit, with WrapITK.pth in dist-packages.  Switch to
    dh_python2.

  * rules: Change build type from RELEASE to RelWithDebInfo.  This reduces
    optimization from -O3 to -O2 which should help with excessive memory
    usage during build (see #640667).

 -- Steve M. Robbins <smr@debian.org>  Sat, 10 Sep 2011 14:45:13 -0500
