=== debian/rules ===
#!/usr/bin/make -f

VER_MAJOR = 3
VER_MINOR = 20
VER_PATCH = 1

CMAKE_FLAGS = \
	-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
	-DBUILD_EXAMPLES:BOOL=OFF \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DBUILD_TESTING:BOOL=OFF \
	-DCMAKE_BUILD_TYPE:STRING=Release \
	-DBUILD_DOXYGEN:BOOL=OFF \
	-DCMAKE_CXX_FLAGS:STRING=-Wno-deprecated \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DITK_USE_REVIEW:BOOL=ON \
	-DITK_USE_REVIEW_STATISTICS:BOOL=ON \
	-DITK_USE_OPTIMIZED_REGISTRATION_METHODS:BOOL=ON \
	-DITK_USE_TRANSFORM_IO_FACTORIES:BOOL=ON \
	-DITK_USE_SYSTEM_GDCM:BOOL=ON \
	-DITK_USE_SYSTEM_PNG:BOOL=ON \
	-DITK_USE_SYSTEM_TIFF:BOOL=ON \
	-DITK_USE_SYSTEM_ZLIB:BOOL=ON \
	-DITK_USE_SYSTEM_VXL:BOOL=ON \
	-DUSE_FFTWD:BOOL=ON \
	-DUSE_FFTWF:BOOL=ON \
	-DITK_USE_CONCEPT_CHECKING:BOOL=ON \
	-DITK_USE_STRICT_CONCEPT_CHECKING:BOOL=ON \
	-DUSE_WRAP_ITK:BOOL=OFF

VER_FULL = $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
SOVERSION = $(VER_MAJOR).$(VER_MINOR)

UPSTREAM_SRC = InsightToolkit-$(VER_FULL)
DEBIAN_SRC_DIR = insighttoolkit-$(VER_FULL)
DEBIAN_SRC_TAR = insighttoolkit_$(VER_FULL).orig.tar.gz

pkg_lib = libinsighttoolkit$(SOVERSION)
pkg_dev = libinsighttoolkit$(VER_MAJOR)-dev
pkg_examples = insighttoolkit$(VER_MAJOR)-examples


%:
	dh $@ --parallel

override_dh_auto_configure: pre-build
	dh_auto_configure -- $(CMAKE_FLAGS)

pre-build:
	echo "Available disk space:"
	df -h .

override_dh_auto_install:
	dh_auto_install
	sed -i -e "s#/usr/lib/\(`dpkg-architecture -qDEB_HOST_MULTIARCH`/\)\?lib\([^;]*\)\.so#\2#g" \
		debian/tmp/usr/lib/InsightToolkit/ITKLibraryDepends.cmake

override_dh_lintian:
	echo "$(pkg_dev): python-script-but-no-python-dep" > debian/$(pkg_dev).lintian-overrides
	echo "$(pkg_lib): package-name-doesnt-match-sonames" > debian/$(pkg_lib).lintian-overrides
	echo "$(pkg_lib): embedded-library usr/lib/libitkjpeg8.so.$(VER_FULL): libjpeg" >> debian/$(pkg_lib).lintian-overrides
	echo "$(pkg_lib): embedded-library usr/lib/libitkjpeg12.so.$(VER_FULL): libjpeg" >> debian/$(pkg_lib).lintian-overrides
	echo "$(pkg_lib): embedded-library usr/lib/libitkjpeg16.so.$(VER_FULL): libjpeg" >> debian/$(pkg_lib).lintian-overrides
	echo "$(pkg_lib): embedded-library usr/lib/libitkopenjpeg.so.$(VER_FULL): openjpeg" >> debian/$(pkg_lib).lintian-overrides
	dh_lintian

override_dh_install: 
	# pkg_lib
	dh_install -p$(pkg_lib) -XJava -XPython -XTcl debian/tmp/usr/lib/InsightToolkit/lib*.so.* usr/lib
	cp CMake/InsightValgrind.supp Insight$(SOVERSION)Valgrind.supp
	cp Utilities/vxl/config/valgrind.supp Insight$(SOVERSION)VxlValgrind.supp
	dh_install -p$(pkg_lib) Insight$(SOVERSION)*.supp usr/lib/valgrind
	#
	# pkg_dev
	dh_installman -p$(pkg_dev) debian/insighttoolkit.3
	dh_installdocs -p$(pkg_dev) Documentation/*
	dh_install -p$(pkg_dev) -XJava -XPython -XTcl debian/tmp/usr/lib/InsightToolkit/lib*.so usr/lib
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/InsightToolkit/*
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/lib/InsightToolkit/*.cmake
	dh_install -p$(pkg_dev) Wrapping/WrapITK /usr/src

override_dh_installexamples:
	# pkg_examples
	dh_installexamples -p$(pkg_examples) Examples/*
ifneq (,$(filter $(pkg_examples), $(shell dh_listpackages)))
	find debian/$(pkg_examples)/usr/share/doc/$(pkg_examples)/examples \
	    -type f -print0 | xargs -0 chmod 644
endif

$(UPSTREAM_SRC).tar.gz:
	wget http://voxel.dl.sourceforge.net/sourceforge/itk/$@

get-orig-source: $(UPSTREAM_SRC).tar.gz
	tar xzf $(UPSTREAM_SRC).tar.gz
	find $(UPSTREAM_SRC) -name CVS -o -name Patented | xargs rm -rf
	mv $(UPSTREAM_SRC) $(DEBIAN_SRC_DIR)
	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)

control-file:
	sed -e "s/@VER_MAJOR@/$(VER_MAJOR)/g" \
	    -e "s/@SOVERSION@/$(SOVERSION)/g" \
	    < debian/control.in > debian/control.tmp
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control
